package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class HxpUserecordDetailVo {

    private Long id;

    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @ApiModelProperty(value = "CAS")
    private String casNum;

    @ApiModelProperty(value = "别名")
    private String anotherName;

    @ApiModelProperty(value = "化学品分类")
    private String classifyName;

    @ApiModelProperty(value = "纯度")
    private String purity;

    @ApiModelProperty(value = "化学品形态名称")
    private String chemicalShapeName;

    @ApiModelProperty(value = "化学品属性名称")
    private String classifyAttribute;

    @ApiModelProperty(value = "标签类型 1=是RFID，2是二维码")
    private Integer labelType;

    @ApiModelProperty(value = "标签编号")
    private String tagCode;

    @ApiModelProperty(value = "容量规格")
    private String chemicalAmountUnit;

    @ApiModelProperty(value = "容器规格")
    private String tareUnit;

    @ApiModelProperty(value = "过期时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date expirationTime;

    @ApiModelProperty(value = "领用时效小时")
    private Integer collectHour;

    @ApiModelProperty(value = "领用时效分钟")
    private Integer collectMinute;

    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @ApiModelProperty("所在位置")
    private String posi;

    @ApiModelProperty(value = "领用信息")
    private OutDetail outDetail;

    @ApiModelProperty(value = "归还信息")
    private ReturnDetail  returnDetail;

    static class OutDetail {
        @ApiModelProperty(value = "领用时库存净重")
        private String stockSuttle;

        @ApiModelProperty(value = "损耗量")
        private String lossAmount;

        @ApiModelProperty(value = "领用称重净重")
        private String collectSuttle;

        @ApiModelProperty(value = "领用验证人员")
        private String outUsers;

        @ApiModelProperty(value = "领用方式（1是称重，2是录入）")
        private Integer outType;

        @ApiModelProperty(value = "领用操作视频")
        private String outVideo;

        @ApiModelProperty(value = "领用开关锁操作视频")
        private String outLockVideo;

        public OutDetail() {
        }

        public String getStockSuttle() {
            return stockSuttle;
        }

        public void setStockSuttle(String stockSuttle) {
            this.stockSuttle = stockSuttle;
        }

        public String getLossAmount() {
            return lossAmount;
        }

        public void setLossAmount(String lossAmount) {
            this.lossAmount = lossAmount;
        }

        public String getCollectSuttle() {
            return collectSuttle;
        }

        public void setCollectSuttle(String collectSuttle) {
            this.collectSuttle = collectSuttle;
        }

        public String getOutUsers() {
            return outUsers;
        }

        public void setOutUsers(String outUsers) {
            this.outUsers = outUsers;
        }

        public Integer getOutType() {
            return outType;
        }

        public void setOutType(Integer outType) {
            this.outType = outType;
        }

        public String getOutVideo() {
            return outVideo;
        }

        public void setOutVideo(String outVideo) {
            this.outVideo = outVideo;
        }

        public String getOutLockVideo() {
            return outLockVideo;
        }

        public void setOutLockVideo(String outLockVideo) {
            this.outLockVideo = outLockVideo;
        }
    }

    static class ReturnDetail {
        @ApiModelProperty(value = "本次使用量")
        private String useStockNum;

        @ApiModelProperty(value = "归还库存净重")
        private String returnSuttle;

        @ApiModelProperty(value = "归还验证人员")
        private String backUsers;

        @ApiModelProperty(value = "归还方式（1是称重，2是录入）")
        private Integer returnType;

        @ApiModelProperty(value = "归还操作视频")
        private String returnVideo;

        @ApiModelProperty(value = "归还开关锁操作视频")
        private String returnLockVideo;

        public ReturnDetail() {
        }

        public String getUseStockNum() {
            return useStockNum;
        }

        public void setUseStockNum(String useStockNum) {
            this.useStockNum = useStockNum;
        }

        public String getReturnSuttle() {
            return returnSuttle;
        }

        public void setReturnSuttle(String returnSuttle) {
            this.returnSuttle = returnSuttle;
        }

        public String getBackUsers() {
            return backUsers;
        }

        public void setBackUsers(String backUsers) {
            this.backUsers = backUsers;
        }

        public Integer getReturnType() {
            return returnType;
        }

        public void setReturnType(Integer returnType) {
            this.returnType = returnType;
        }

        public String getReturnVideo() {
            return returnVideo;
        }

        public void setReturnVideo(String returnVideo) {
            this.returnVideo = returnVideo;
        }

        public String getReturnLockVideo() {
            return returnLockVideo;
        }

        public void setReturnLockVideo(String returnLockVideo) {
            this.returnLockVideo = returnLockVideo;
        }
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getPurity() {
        return purity;
    }

    public void setPurity(String purity) {
        this.purity = purity;
    }

    public String getChemicalShapeName() {
        return chemicalShapeName;
    }

    public void setChemicalShapeName(String chemicalShapeName) {
        this.chemicalShapeName = chemicalShapeName;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public Integer getLabelType() {
        return labelType;
    }

    public void setLabelType(Integer labelType) {
        this.labelType = labelType;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public String getTareUnit() {
        return tareUnit;
    }

    public void setTareUnit(String tareUnit) {
        this.tareUnit = tareUnit;
    }

    public Date getExpirationTime() {
        return expirationTime;
    }

    public void setExpirationTime(Date expirationTime) {
        this.expirationTime = expirationTime;
    }

    public Integer getCollectHour() {
        return collectHour;
    }

    public void setCollectHour(Integer collectHour) {
        this.collectHour = collectHour;
    }

    public Integer getCollectMinute() {
        return collectMinute;
    }

    public void setCollectMinute(Integer collectMinute) {
        this.collectMinute = collectMinute;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public OutDetail getOutDetail() {
        return outDetail;
    }

    public void setOutDetail(OutDetail outDetail) {
        this.outDetail = outDetail;
    }

    public ReturnDetail getReturnDetail() {
        return returnDetail;
    }

    public void setReturnDetail(ReturnDetail returnDetail) {
        this.returnDetail = returnDetail;
    }
}
